
# Loads default set of integrations. Do not remove.
default_config:

# Load frontend themes from the themes folder
frontend:
  themes: !include_dir_merge_named themes
  extra_module_url:
    - /config/www/community/lovelace-card-mod/card-mod.js


automation: !include automations.yaml
script: !include scripts.yaml
scene: !include scenes.yaml
command_line: !include sensor.yaml

battery_notes:


#lovelace:
#  mode: storage
#  resources:
#    - url: /local/week-planner-card_2.js
#      type: module
#  dashboards:
#    dash-general:
#      mode: yaml
#      filename: dashboards/default.yaml
#      title: Overview
#      icon: mdi:tools
#      show_in_sidebar: true
#      require_admin: false

tts:
- platform: edge_tts
  service-name: edge-say
  language: sv-SE

#This is to synthesise TTS for the Google Home Mini
input_text:
  tts_syntesiser:
    name: TTS-til-Google

proximity:
  home_jaffa:
    zone: home
    devices:
      - device_tracker.jaffa_location
    tolerance: 5
    unit_of_measurement: km

homeassistant:
  internal_url: http://10.0.0.203:8123
  external_url: https://ha.milvert.com
  auth_providers:
    - type: homeassistant

  packages: !include_dir_named packages
    #evcc: !include packages/evcc.yaml
  allowlist_external_dirs:
    - "/config/files"
  customize:
    # Add an entry for each entity that you want to overwrite.
    thermostat.family_room:
      entity_picture: https://example.com/images/nest.jpg
      friendly_name: Nest
  

sonos:
  media_player:
    advertise_addr: 10.0.0.203
    hosts:
      - 10.0.3.33
      - 10.0.3.32

      
logger:
  default: error
 
  #logs:
  
    #homeassistant.components.command_line: debug
     #adax: debug
     #custom_components.adax: debug
     #homeassistant.components.adax: debug
   # rflink: error
#    homeassistant.components.rflink: debug


http:
  use_x_forwarded_for: true
  ip_ban_enabled: true
  login_attempts_threshold: 5
  trusted_proxies:
    - 10.0.0.223
    - 172.19.0.0/24
    
template:
  - sensor:
      - name: "Vardagsrum Source"
        state: >
          {% set source = state_attr('media_player.vardagsrum', 'source')  | trim %}
          {% if source == "TV" %}
            TV
          {% else %} 
            {{ source if source else "none" }}
          {% endif %}
        attributes:
          original_source: "{{ state_attr('media_player.vardagsrum', 'source') }}"



